import { FieldInfo } from 'model-util-base'
import { ConditionUtil, ConditionUtilImpl, FieldUtil, TableUtilImpl, IdType, JoinTable, SubTable } from 'model-util'
import { Container, Singleton } from 'typescript-ioc' 
import { SysServiceCenter } from '../models/index' 
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-04-30 09:49
 */
interface SysServiceCenterCU extends ConditionUtil<SysServiceCenterCU>{
    ID:FieldUtil<SysServiceCenterCU>;
    CODE:FieldUtil<SysServiceCenterCU>;
    NAME:FieldUtil<SysServiceCenterCU>;
    DESCRIPTION:FieldUtil<SysServiceCenterCU>;
    GIT_ID:FieldUtil<SysServiceCenterCU>;
    DELETED:FieldUtil<SysServiceCenterCU>;
    CREATE_USER_ID:FieldUtil<SysServiceCenterCU>;
    UPDATE_USER_ID:FieldUtil<SysServiceCenterCU>;
    CREATE_TIME:FieldUtil<SysServiceCenterCU>;
    UPDATE_TIME:FieldUtil<SysServiceCenterCU>;
    STATE:FieldUtil<SysServiceCenterCU>;
}

class SysServiceCenterCUImpl extends ConditionUtilImpl<SysServiceCenterCUImpl> implements SysServiceCenterCU{ 
    newInstance(): SysServiceCenterCUImpl {
        return new SysServiceCenterCUImpl();
    } 
    get ID(): FieldUtil<SysServiceCenterCU>{  
        return new FieldUtil('ID','id','主键', this);
    }
    get CODE(): FieldUtil<SysServiceCenterCU>{  
        return new FieldUtil('CODE','code','代码', this);
    }
    get NAME(): FieldUtil<SysServiceCenterCU>{  
        return new FieldUtil('NAME','name','名称', this);
    }
    get DESCRIPTION(): FieldUtil<SysServiceCenterCU>{  
        return new FieldUtil('DESCRIPTION','description','描述', this);
    }
    get GIT_ID(): FieldUtil<SysServiceCenterCU>{  
        return new FieldUtil('GIT_ID','gitId','GIT服务ID', this);
    }
    get DELETED(): FieldUtil<SysServiceCenterCU>{  
        return new FieldUtil('DELETED','deleted','删除标记', this);
    }
    get CREATE_USER_ID(): FieldUtil<SysServiceCenterCU>{  
        return new FieldUtil('CREATE_USER_ID','createUserId','创建人ID', this);
    }
    get UPDATE_USER_ID(): FieldUtil<SysServiceCenterCU>{  
        return new FieldUtil('UPDATE_USER_ID','updateUserId','修改人ID', this);
    }
    get CREATE_TIME(): FieldUtil<SysServiceCenterCU>{  
        return new FieldUtil('CREATE_TIME','createTime','创建时间', this);
    }
    get UPDATE_TIME(): FieldUtil<SysServiceCenterCU>{  
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', this);
    }
    get STATE(): FieldUtil<SysServiceCenterCU>{  
        return new FieldUtil('STATE','state','state', this);
    }
}

@Singleton 
class SysServiceCenterMU extends TableUtilImpl<SysServiceCenterCU,SysServiceCenter>{ 
    tableName  = 'sys_service_center';
    tableFields  = ['id','code','name','description','git_id','deleted','create_user_id','update_user_id','create_time','update_time','state'];
    modelFields  = ['id','code','name','description','gitId','deleted','createUserId','updateUserId','createTime','updateTime','state'];
    modelIdFields  = ['id'];
    tableIdFields  = ['id'];
    idType = IdType.CUSTOM;
    joinTables = [];
    subTables = [];

    createConditionUtil(): SysServiceCenterCU {
        return new SysServiceCenterCUImpl();
    }   

    static get ID(): FieldUtil<SysServiceCenterCU>{ 
        return new FieldUtil('ID','id','主键', new SysServiceCenterCUImpl());
    }
    static get CODE(): FieldUtil<SysServiceCenterCU>{ 
        return new FieldUtil('CODE','code','代码', new SysServiceCenterCUImpl());
    }
    static get NAME(): FieldUtil<SysServiceCenterCU>{ 
        return new FieldUtil('NAME','name','名称', new SysServiceCenterCUImpl());
    }
    static get DESCRIPTION(): FieldUtil<SysServiceCenterCU>{ 
        return new FieldUtil('DESCRIPTION','description','描述', new SysServiceCenterCUImpl());
    }
    static get GIT_ID(): FieldUtil<SysServiceCenterCU>{ 
        return new FieldUtil('GIT_ID','gitId','GIT服务ID', new SysServiceCenterCUImpl());
    }
    static get DELETED(): FieldUtil<SysServiceCenterCU>{ 
        return new FieldUtil('DELETED','deleted','删除标记', new SysServiceCenterCUImpl());
    }
    static get CREATE_USER_ID(): FieldUtil<SysServiceCenterCU>{ 
        return new FieldUtil('CREATE_USER_ID','createUserId','创建人ID', new SysServiceCenterCUImpl());
    }
    static get UPDATE_USER_ID(): FieldUtil<SysServiceCenterCU>{ 
        return new FieldUtil('UPDATE_USER_ID','updateUserId','修改人ID', new SysServiceCenterCUImpl());
    }
    static get CREATE_TIME(): FieldUtil<SysServiceCenterCU>{ 
        return new FieldUtil('CREATE_TIME','createTime','创建时间', new SysServiceCenterCUImpl());
    }
    static get UPDATE_TIME(): FieldUtil<SysServiceCenterCU>{ 
        return new FieldUtil('UPDATE_TIME','updateTime','更新时间', new SysServiceCenterCUImpl());
    }
    static get STATE(): FieldUtil<SysServiceCenterCU>{ 
        return new FieldUtil('STATE','state','state', new SysServiceCenterCUImpl());
    }

    get ID(): FieldUtil<SysServiceCenterCU>{ 
        return SysServiceCenterMU.ID;
    }
    get CODE(): FieldUtil<SysServiceCenterCU>{ 
        return SysServiceCenterMU.CODE;
    }
    get NAME(): FieldUtil<SysServiceCenterCU>{ 
        return SysServiceCenterMU.NAME;
    }
    get DESCRIPTION(): FieldUtil<SysServiceCenterCU>{ 
        return SysServiceCenterMU.DESCRIPTION;
    }
    get GIT_ID(): FieldUtil<SysServiceCenterCU>{ 
        return SysServiceCenterMU.GIT_ID;
    }
    get DELETED(): FieldUtil<SysServiceCenterCU>{ 
        return SysServiceCenterMU.DELETED;
    }
    get CREATE_USER_ID(): FieldUtil<SysServiceCenterCU>{ 
        return SysServiceCenterMU.CREATE_USER_ID;
    }
    get UPDATE_USER_ID(): FieldUtil<SysServiceCenterCU>{ 
        return SysServiceCenterMU.UPDATE_USER_ID;
    }
    get CREATE_TIME(): FieldUtil<SysServiceCenterCU>{ 
        return SysServiceCenterMU.CREATE_TIME;
    }
    get UPDATE_TIME(): FieldUtil<SysServiceCenterCU>{ 
        return SysServiceCenterMU.UPDATE_TIME;
    }
    get STATE(): FieldUtil<SysServiceCenterCU>{ 
        return SysServiceCenterMU.STATE;
    }
}
export {SysServiceCenterMU, SysServiceCenterCU}
